Bug 131458 - rawhide-20040901 udev not making /dev/tun available; /dev/null created with wrong permissions
rawhide-20040901 udev not making /dev/tun available; /dev/null created with w...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 130007 131451
  Show dependency treegraph
 
Reported: 2004-09-01 12:16 EDT by Daniel Reed
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 08:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Reed 2004-09-01 12:16:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040704 Firefox/0.9.1

Description of problem:
After upgrading to today's rawhide, and working around #131452
(modprobe segfault), I am unable to run vpnc (I get the complaint
about /dev/net/tun again, and the tun module is not loaded).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade to rawhide-20040901
2. Reboot

Additional info:
Comment 1 Daniel Reed 2004-09-01 12:27:45 EDT
Additional breakage:

Starting mDNSResponder... /etc/profile: line 28: /dev/null: Permission
denied
/etc/profile.d/colorls.sh: line 3: /dev/null: Permission denied
/etc/profile.d/colorls.sh: line 4: /dev/null: Permission denied
/etc/profile.d/colorls.sh: line 17: /dev/null: Permission denied
/etc/profile.d/colorls.sh: line 18: /dev/null: Permission denied
/etc/profile.d/colorls.sh: line 19: /dev/null: Permission denied
/etc/profile.d/colorls.sh: line 20: /dev/null: Permission denied
/etc/profile.d/vim.sh: line 3: /dev/null: Permission denied
mDNSResponder starting up...
                                                           [  OK  ]
Comment 2 Daniel Reed 2004-09-01 12:45:13 EDT
Additional breakage:

localhost login: dreed
Password:
Last login: Wed Sep  1 11:58:49 on tty2
You have new mail.
-bash: /dev/null: Permission denied.
-bash: /dev/null: Permission denied.
-bash: /dev/null: Permission denied.
-bash: /dev/null: Permission denied.
-bash: /dev/null: Permission denied.
-bash: /dev/null: Permission denied.
-bash: /dev/null: Permission denied.
-bash: /dev/null: Permission denied.
(12:47)dreed@localhost:~> ls -l /dev/null
crw-------  1 root root 1, 3 Sep  1 08:38 /dev/null
Comment 3 Daniel Reed 2004-09-01 15:36:24 EDT
I upgraded to udev-030-12 and initscripts-7.77-1 and am no longer
seeing either of these two issues. Additionally, gpm started working
again after the upgrade.

If you would like for me to help investigate what specifically may
have broken, I can downgrade components or try out new experimental
ones. Otherwise, feel free to close this.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.